> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Welcome Campaign

> Fetches the Welcome Campaign for a specific website



## OpenAPI

````yaml /api-reference/push-openapi.json get /prod/site/{idSite}/welcome
openapi: 3.1.0
info:
  title: push-notifications
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
tags:
  - name: One-Off Notifications
    description: Send individual push notifications
  - name: Welcome Notifications
    description: Welcome notification campaigns
  - name: Triggered Campaigns
    description: Event-triggered push notification campaigns
  - name: RSS Campaigns
    description: RSS feed-based push notification campaigns
  - name: Manual Campaigns
    description: Manually created push notification campaigns
  - name: API Campaigns
    description: API-triggered push notification campaigns
paths:
  /prod/site/{idSite}/welcome:
    get:
      tags:
        - Welcome Notifications
      summary: Get Welcome Campaign
      description: Fetches the Welcome Campaign for a specific website
      operationId: api-get-welcome-campaign
      parameters:
        - name: idSite
          in: path
          description: Website ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 1234
                    title: Sample Welcome Campaign
                    body: Thanks for joining us!
                    link: '{website_url}'
                    customImage: ''
                    customIcon: https://cdn.aimtell.io/user/uploads/12345-1588183932.png
                    idSite: 20599
                    status: 1
                    conversion_trigger:
                      eventCategory: Page
                      eventAction: Visited
                      eventLabel: ''
                    actions:
                      a01:
                        title: Get the best deals!
                        link: '{website_url}'
                      a02:
                        title: Check out our blog!
                        link: '{website_url}/blog'
                    createdAt: '2020-04-29 18:12:57'
                    updatedAt: '2020-12-18 16:15:40'
                    campaign_results:
                      sent: 13
                      delivered: 13
                      bounced: 0
                      clicked: 5
                      clicked_a01: 0
                      clicked_a02: 0
                      conversions: 1
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Invalid token.
                    error_code: 71831
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````